Aggregated fees per user / coin / day
curl --request GET \
--url https://api.hypedexer.com/hip4/fees \
--header 'X-API-Key: <api-key>'import requests
url = "https://api.hypedexer.com/hip4/fees"
headers = {"X-API-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};
fetch('https://api.hypedexer.com/hip4/fees', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
[
{
"user": "0x1733d1945f023dfece04363d26f032ef069accdc",
"coin": "@10",
"feeToken": "CHUTORO",
"date": "2026-03-29",
"fills": 1,
"total_fee_raw": 0.01,
"total_fee_usdc": 0.006973,
"total_notional": 10.4595,
"effective_rate": 0.0006666666666666666
}
]Fees
Aggregated fees per user / coin / day
Returns fee aggregations grouped by user, coin, feeToken, and date. Only includes fills where fee > 0.
total_fee_raw: sum of fees in the original fee tokentotal_fee_usdc: sum of fees normalized to USDtotal_notional: total traded volume (px * sz) in USDeffective_rate: fee / notional (multiply by 10000 for bps)
GET
/
hip4
/
fees
Aggregated fees per user / coin / day
Authorizations
Include in every request header as X-API-Key: <your_key>.
Query Parameters
Filter by user wallet address
Filter by coin
Start time (epoch milliseconds)
End time (epoch milliseconds)
Required range:
x <= 10000Response
200 - application/json
OK
Wallet address
Coin
Fee denomination token
Date (YYYY-MM-DD)
Number of fills
Total fee in feeToken
Total fee in USD
Total notional volume in USD
Fee rate (fee_usdc / notional). Multiply by 10000 for bps.